---
title: "Historical contract: Get Dropdown Options"
description: "This API endpoint is used to get all the dropdown options (zones) that exist in the project."
canonical: https://docs.ordering.co/api-reference/guides/history/get-dropdown-options/
---

# Historical contract: Get Dropdown Options

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Get Dropdown Options

This API endpoint is used to get all the dropdown options (zones) that exist in the project.

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/dropdownoptions/GET/dropdownoptions)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "offset",
    "in": "query",
    "schema": {
      "type": "integer",
      "format": "int32"
    }
  },
  {
    "name": "limit",
    "in": "query",
    "schema": {
      "type": "integer",
      "format": "int32"
    }
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": [\n    {\n      \"id\": 1,\n      \"city_id\": 1,\n      \"name\": \"<redacted-personal>\",\n      \"enabled\": true,\n      \"city\": {\n        \"id\": 1,\n        \"name\": \"<redacted-personal>\",\n        \"country_id\": 1,\n        \"administrator_id\": 6,\n        \"enabled\": true\n      }\n    }\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer",
                    "example": 1,
                    "default": 0
                  },
                  "city_id": {
                    "type": "integer",
                    "example": 1,
                    "default": 0
                  },
                  "name": {
                    "type": "string",
                    "example": "<redacted-personal>"
                  },
                  "enabled": {
                    "type": "boolean",
                    "example": true,
                    "default": true
                  },
                  "city": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "integer",
                        "example": 1,
                        "default": 0
                      },
                      "name": {
                        "type": "string",
                        "example": "<redacted-personal>"
                      },
                      "country_id": {
                        "type": "integer",
                        "example": 1,
                        "default": 0
                      },
                      "administrator_id": {
                        "type": "integer",
                        "example": 6,
                        "default": 0
                      },
                      "enabled": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": ""
          }
        }
      }
    }
  }
}
```
